Git 権限をリセット
curl --request DELETE \
--url https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.devin.ai/v3/enterprise/organizations/{org_id}/git-providers/permissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"git_connection_id": "<string>",
"git_permission_id": "<string>",
"created_at": 123,
"group_prefix": "<string>",
"prefix_path": "<string>",
"read_only": false,
"repo_path": "<string>"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Git 権限 (Enterprise)
Git 権限をリセット
DELETE
/
v3
/
enterprise
/
organizations
/
{org_id}
/
git-providers
/
permissions
Git 権限をリセット
権限
ManageGitIntegrations 権限を持つサービスユーザーが必要です。承認
サービスユーザーの認証情報(接頭辞: cog_)
パスパラメータ
組織ID(プレフィックス: org-)
例:
"org-abc123def456"
⌘I

